Skip to main content

Veo 3.1 Lite query video

GET 

/v1/videos/:task_id

Query Veo 3.1 Lite task status with the id or task_id returned on submission.

Request example

curl --location 'https://open-api.fancyai.com/v1/videos/task_DCAvd1SdbNi3Gv6NAt5uoSS3tbyCuZ4m' \
--header 'Authorization: Bearer YOUR_API_KEY'

Status values

  • queued:Task queued
  • in_progress:Task processing
  • completed:Task completed successfully; download the video through the content proxy endpoint
  • failed:Task failed; see error.message
  • cancelled:Task canceled

Get video content

Download video files through the gateway proxy:

curl --location 'https://open-api.fancyai.com/v1/videos/task_DCAvd1SdbNi3Gv6NAt5uoSS3tbyCuZ4m/content' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--output veo.mp4

After download, the actual file size should match the Content-Length response header. If it is smaller, the download was interrupted and the file may not play.

Request

Responses

Query succeeded